<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'hrm',

    /*
     * Package.
     */
    'package'   => 'resignation',

    /*
     * Modules.
     */
    'modules'   => ['resignation'],

    
    'resignation'       => [
        'model' => [
            'model'                 => \Hrm\Resignation\Models\Resignation::class,
            'table'                 => 'resignations',
            'presenter'             => \Hrm\Resignation\Repositories\Presenter\ResignationPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'company_id',  'company_type',  'department_id',  'gang_id',  'employee_id',  'designation',  'joining_date',  'reason',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'resignation/resignation',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hrm',
            'package'   => 'Resignation',
            'module'    => 'Resignation',
        ],

    ],
];
