# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/hrm/resignation/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/hrm/resignation/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Hrm\\Resignation\\": "packages/hrm/resignation/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Hrm\Resignation\Providers\ResignationServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Resignation'  => Hrm\Resignation\Facades\Resignation::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Hrm\\ResignationTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Hrm\Resignation\Providers\ResignationServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Hrm\Resignation\Providers\ResignationServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Hrm\Resignation\Providers\ResignationServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/resignation/{modulename}

**User**

    http://path-to-route-folder/user/resignation/{modulename}

**Public**

    http://path-to-route-folder/resignations


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/resignation/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/resignation/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/resignation/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/resignation/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/resignation/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/resignation/{modulename}/{slug}
    METHOD: GET