Lavalite package that provides resignation management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `hrm/resignation`.

    "hrm/resignation": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Hrm\Resignation\Providers\ResignationServiceProvider::class,

And also add it to alias

    'Resignation'  => Hrm\Resignation\Facades\Resignation::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Hrm\\ResignationTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Hrm\Resignation\Providers\ResignationServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Hrm\Resignation\Providers\ResignationServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Hrm\Resignation\Providers\ResignationServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/resignation/{modulename}

**User**

    http://path-to-route-folder/user/resignation/{modulename}

**Public**

    http://path-to-route-folder/resignations


### API endpoints

**List**

    http://path-to-route-folder/api/user/resignation/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/resignation/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/resignation/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/resignation/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/resignation/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/resignation/{modulename}/{slug}
    METHOD: GET