<?php

namespace Hrm\Resignation\Forms;

class Resignation
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'company_id' => [
                    "type" => 'numeric',
                    "label" => trans('resignation::resignation.label.company_id'),
                    "placeholder" => trans('resignation::resignation.placeholder.company_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'company_type' => [
                    "type" => 'text',
                    "label" => trans('resignation::resignation.label.company_type'),
                    "placeholder" => trans('resignation::resignation.placeholder.company_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'department_id' => [
                    "type" => 'numeric',
                    "label" => trans('resignation::resignation.label.department_id'),
                    "placeholder" => trans('resignation::resignation.placeholder.department_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'gang_id' => [
                    "type" => 'numeric',
                    "label" => trans('resignation::resignation.label.gang_id'),
                    "placeholder" => trans('resignation::resignation.placeholder.gang_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'employee_id' => [
                    "type" => 'numeric',
                    "label" => trans('resignation::resignation.label.employee_id'),
                    "placeholder" => trans('resignation::resignation.placeholder.employee_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'designation' => [
                    "type" => 'text',
                    "label" => trans('resignation::resignation.label.designation'),
                    "placeholder" => trans('resignation::resignation.placeholder.designation'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'joining_date' => [
                    "type" => 'date_picker',
                    "label" => trans('resignation::resignation.label.joining_date'),
                    "placeholder" => trans('resignation::resignation.placeholder.joining_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'reason' => [
                    "type" => 'text',
                    "label" => trans('resignation::resignation.label.reason'),
                    "placeholder" => trans('resignation::resignation.placeholder.reason'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
