<?php

namespace Hrm\Resignation\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ResignationTransformer extends TransformerAbstract
{
    public function transform(\Hrm\Resignation\Models\Resignation $resignation)
    {
        return [
            'id'                => $resignation->getRouteKey(),
            'key'               => [
                'public'    => $resignation->getPublicKey(),
                'route'     => $resignation->getRouteKey(),
            ], 
            'company_id'        => $resignation->company_id,
            'company_type'      => $resignation->company_type,
            'department_id'     => $resignation->department_id,
            'gang_id'           => $resignation->gang_id,
            'employee_id'       => $resignation->employee_id,
            'designation'       => $resignation->designation,
            'joining_date'      => $resignation->joining_date,
            'reason'            => $resignation->reason,
            'user_id'           => $resignation->user_id,
            'user_type'         => $resignation->user_type,
            'deleted_at'        => $resignation->deleted_at,
            'url'               => [
                'public'    => trans_url('resignation/'.$resignation->getPublicKey()),
                'user'      => guard_url('resignation/resignation/'.$resignation->getRouteKey()),
            ], 
            'status'            => trans('app.'.$resignation->status),
            'created_at'        => format_date($resignation->created_at),
            'updated_at'        => format_date($resignation->updated_at),
        ];
    }
}